* statetocow coding program

* Version 2.1
*5/11/2021

* Austin Mitchell
* Texas A&M University at Qatar
* ammitchell@tamu.edu
* austin-mitchell.com





capture program drop statetocow 
program statetocow 

capture drop cow 

qui gen cow = .

qui tempvar tempcountry
qui gen `tempcountry' = ""

* replace cow = = if `1'=="" 

qui replace `tempcountry' = lower(`1') // make all lowercase
qui replace `tempcountry' = strtrim(`tempcountry') // remove leading and trailing spaces

quietly {
replace cow =	2	if	`tempcountry'	==lower("United States of America")
replace cow =	2	if	`tempcountry'	==lower("United States")
replace cow =	2	if	`tempcountry'	==lower("USA")
replace cow =	20	if	`tempcountry'	==lower("Canada")
replace cow =	31	if	`tempcountry'	==lower("Bahamas")
replace cow =	31	if	`tempcountry'	==lower("Bahamas, The")
replace cow =	40	if	`tempcountry'	==lower("Cuba")
replace cow =	41	if	`tempcountry'	==lower("Haiti")
replace cow =	42	if	`tempcountry'	==lower("Dominican Republic")
replace cow =	42	if	`tempcountry'	==lower("Dom. Rep.")
replace cow =	42	if	`tempcountry'	==lower("DOMINICAN REP.")
replace cow =	42	if	`tempcountry'	==lower("Dominican Rep")
replace cow =	51	if	`tempcountry'	==lower("Jamaica")
replace cow =	52	if	`tempcountry'	==lower("Trinidad and Tobago")
replace cow =	52	if	`tempcountry'	==lower("Trinidad-Tobago")
replace cow =	52	if	`tempcountry'	==lower("Trinidad & Tobago")
replace cow =	52	if	`tempcountry'	==lower("Trinidad &Tobago")
replace cow =	52	if	`tempcountry'	==lower("Trinidad")
replace cow = 	52	if	`tempcountry'	==lower("Republic of Trinidad and Tobago")
replace cow =	53	if	`tempcountry'	==lower("Barbados")
replace cow =	54	if	`tempcountry'	==lower("Dominica")
replace cow =	55	if	`tempcountry'	==lower("Grenada")
replace cow =	56	if	`tempcountry'	==lower("St. Lucia")
replace cow =	56	if	`tempcountry'	==lower("SAINT LUCIA")
replace cow =	57	if	`tempcountry'	==lower("St. Vincent and the Grenadines")
replace cow =	57	if	`tempcountry'	==lower("St. Vincent & Grens.")
replace cow =	57	if	`tempcountry'	==lower("St. Vincent & Grenadines")
replace cow =	57	if	`tempcountry'	==lower("St.Vincent & Grenadines")
replace cow =	57	if	`tempcountry'	==lower("SAINT VINCENT AND THE GRENADIN")
replace cow =	58	if	`tempcountry'	==lower("Antigua & Barbuda")
replace cow =	58	if	`tempcountry'	==lower("Antigua and Barbuda")
replace cow =	58	if	`tempcountry'	==lower("Antigua")
replace cow =	58	if	`tempcountry'	==lower("Antigua and Barbuda ")
replace cow =	60	if	`tempcountry'	==lower("St. Kitts and Nevis")
replace cow =	60	if	`tempcountry'	==lower("St. Kitts & Nevis")
replace cow =	60	if	`tempcountry'	==lower("SAINT KITTS AND NEVIS")
replace cow =	70	if	`tempcountry'	==lower("Mexico")
replace cow = 	70	if	`tempcountry'	==lower("United Mexican States")
replace cow =	80	if	`tempcountry'	==lower("Belize")
replace cow =	90	if	`tempcountry'	==lower("Guatemala")
replace cow =	91	if	`tempcountry'	==lower("Honduras")
replace cow =	92	if	`tempcountry'	==lower("El Salvador")
replace cow = 	92	if	`tempcountry'	==lower("Republic of El Salvador")
replace cow =	93	if	`tempcountry'	==lower("Nicaragua")
replace cow =	94	if	`tempcountry'	==lower("Costa Rica")
replace cow = 	94	if	`tempcountry'	==lower("Republic of Costa Rica")
replace cow =	94	if	`tempcountry'	==lower("COSTARICA")
replace cow =	95	if	`tempcountry'	==lower("Panama")
replace cow =	100	if	`tempcountry'	==lower("Colombia")
replace cow = 	100	if	`tempcountry'	==lower("COLOMBIA")
replace cow = 	101	if	`tempcountry'	==lower(" Venezuela, RB")
replace cow = 	101	if	`tempcountry'	==lower("Venezuela, Republica Bolivariana de")
replace cow = 	101	if	`tempcountry'	==lower("Venezuela (Bolivarian Republic of)")
replace cow = 	101	if	`tempcountry'	==lower("Venezuela, RB")
replace cow =	101	if	`tempcountry'	==lower("Venezuela")
replace cow =	101	if	`tempcountry'	==lower("Venezuela, Rep. Bol.")
replace cow =	110	if	`tempcountry'	==lower("Guyana")
replace cow =	115	if	`tempcountry'	==lower("Suriname")
replace cow =	130	if	`tempcountry'	==lower("Ecuador")
replace cow =	135	if	`tempcountry'	==lower("Peru")
replace cow =	140	if	`tempcountry'	==lower("Brazil")
replace cow =	145	if	`tempcountry'	==lower("Bolivia")
replace cow =	145	if	`tempcountry'	==lower("Bolivia (Plurinational State of)")
replace cow =	150	if	`tempcountry'	==lower("Paraguay")
replace cow =	155	if	`tempcountry'	==lower("Chile")
replace cow = 	160	if	`tempcountry'	==lower("Argentine Republic")
replace cow =	160	if	`tempcountry'	==lower("Argentina")
replace cow =	165	if	`tempcountry'	==lower("Uruguay")
replace cow =	200	if	`tempcountry'	==lower("United Kingdom")
replace cow =	200	if	`tempcountry'	==lower("UK")
replace cow =	205	if	`tempcountry'	==lower("Ireland")
replace cow =	210	if	`tempcountry'	==lower("Netherlands")
replace cow =	211	if	`tempcountry'	==lower("Belgium")
replace cow =	212	if	`tempcountry'	==lower("Luxembourg")
replace cow = 	220	if	`tempcountry'	==lower("French Republic")
replace cow =	220	if	`tempcountry'	==lower("France")
replace cow =	221	if	`tempcountry'	==lower("Monaco")
replace cow =	223	if	`tempcountry'	==lower("Liechtenstein")
replace cow =	225	if	`tempcountry'	==lower("Switzerland")
replace cow =	230	if	`tempcountry'	==lower("Spain")
replace cow =	232	if	`tempcountry'	==lower("Andorra")
replace cow =	232	if	`tempcountry'	==lower(" Andorra")
replace cow = 	235	if	`tempcountry'	==lower("Portuguese Republic")
replace cow =	235	if	`tempcountry'	==lower("Portugal")
replace cow =	255	if	`tempcountry'	==lower("Germany")
replace cow =	255	if	`tempcountry'	==lower("Germany (post-unification)")
replace cow =	260	if	`tempcountry'	==lower("German Federal Republic")
replace cow =	260	if	`tempcountry'	==lower("FRG/Germany")
replace cow =	260	if	`tempcountry'	==lower("GERMANYFED. REP.")
replace cow =	260	if	`tempcountry'	==lower("GERMAN FED. REP.")
replace cow =	260	if	`tempcountry'	==lower("Germany, West")
replace cow =	260	if	`tempcountry'	==lower("Germany West")
replace cow =	260	if	`tempcountry'	==lower("West Germany")
replace cow =	260	if	`tempcountry'	==lower("West Germany")
replace cow =	265	if	`tempcountry'	==lower("German Democratic Republic")
replace cow =	265	if	`tempcountry'	==lower("GERMAN DEM. REP.")
replace cow =	265	if	`tempcountry'	==lower("GDR")
replace cow =	265	if	`tempcountry'	==lower("Germany, East")
replace cow =	265	if	`tempcountry'	==lower("Germany East")
replace cow =	265	if	`tempcountry'	==lower("East Germany")
replace cow =	290	if	`tempcountry'	==lower("Poland")
replace cow =	305	if	`tempcountry'	==lower("Austria")
replace cow =	310	if	`tempcountry'	==lower("Hungary")
replace cow =	315	if	`tempcountry'	==lower("Czechoslovakia")
replace cow =	316	if	`tempcountry'	==lower("Czech Republic")
replace cow =	316	if	`tempcountry'	==lower("Czech Rep.")
replace cow =	316	if	`tempcountry'	==lower("Czech Republic (Czechoslovakia)")
replace cow =	316	if	`tempcountry'	==lower("CZECHREP")
replace cow =	316	if	`tempcountry'	==lower("CZECH REP")
replace cow =	317	if	`tempcountry'	==lower("Slovakia")
replace cow =	317	if	`tempcountry'	==lower("Slovak Republic")
replace cow = 	325	if	`tempcountry'	==lower("Italian Republic")
replace cow =	325	if	`tempcountry'	==lower("Italy")
replace cow =	331	if	`tempcountry'	==lower("San Marino")
replace cow =	338	if	`tempcountry'	==lower("Malta")
replace cow =	339	if	`tempcountry'	==lower("Albania")
replace cow = 	341	if	`tempcountry'	==lower("Montenegro")
replace cow =	341	if	`tempcountry'	==lower(" Montenegro")
replace cow =	341	if	`tempcountry'	==lower("Montenegro")
replace cow = 	343	if	`tempcountry'	==lower("Macedonia, FYR")
replace cow = 	343	if	`tempcountry'	==lower("MACEDONIA (FYR)")
replace cow = 	343	if	`tempcountry'	==lower("MACEDONIA, THE FORMER YUGOSLAV")
replace cow = 	343	if	`tempcountry'	==lower("TFYR of Macedonia")
replace cow =	343	if	`tempcountry'	==lower("Macedonia")
replace cow =	343	if	`tempcountry'	==lower("Macedonia, FYR")
replace cow =	343	if	`tempcountry'	==lower("Macedonia (FYROM)")
replace cow =	343	if	`tempcountry'	==lower("The Former Yugoslav Republic of Macedonia")
replace cow =	343	if	`tempcountry'	==lower("North Macedonia")
replace cow =	343	if	`tempcountry'	==lower("Republic of North Macedonia")
replace cow =	344	if	`tempcountry'	==lower("Croatia")
replace cow =	345	if	`tempcountry'	==lower("Yugoslavia")
replace cow =	345	if	`tempcountry'	==lower("Yugoslavia, SFR")
replace cow =	345	if	`tempcountry'	==lower("Serbia and Montenegro")
replace cow =	345	if	`tempcountry'	==lower("Serbia & Montenegro")
replace cow =	345	if	`tempcountry'	==lower("Yugoslavia (after break-up) / Serbia & Montenegro")
replace cow =	345	if	`tempcountry'	==lower("Yugoslavia (Serbia and Montenegro)")
replace cow =	345	if	`tempcountry'	==lower("Yugoslavia, FR (Serbia/Montenegro)")
replace cow =	345	if	`tempcountry'	==lower("Serbia (Yugoslavia)")
replace cow = 	345	if	`tempcountry'	==lower("Serbia")
replace cow = 	345	if	`tempcountry'	==lower("Serbia, Republic of")
replace cow = 	345	if	`tempcountry'	==lower("SERBIA,REPUBLIC OF")
replace cow =	346	if	`tempcountry'	==lower("Bosnia and Herzegovina")
replace cow =	346	if	`tempcountry'	==lower("Bosnia-Herz")
replace cow = 	346	if	`tempcountry'	==lower("Bosnia-Herzegovina")
replace cow =	346	if	`tempcountry'	==lower("Bosnia-Herzegovina")
replace cow =	346	if	`tempcountry'	==lower("Bosnia Herzegovenia")
replace cow =	346	if	`tempcountry'	==lower("BOSNIA")
replace cow = 	347	if	`tempcountry'	==lower("Kosovo")
replace cow = 	347	if	`tempcountry'	==lower("KOSOVO, REPUBLIC OF")
replace cow = 	347	if	`tempcountry'	==lower("Republic of Kosovo")
replace cow =	347	if	`tempcountry'	==lower(" Kosovo")
replace cow =	349	if	`tempcountry'	==lower("Slovenia")
replace cow = 	350	if	`tempcountry'	==lower("Hellenic Republic")
replace cow =	350	if	`tempcountry'	==lower("Greece")
replace cow =	352	if	`tempcountry'	==lower("Cyprus")
replace cow =	355	if	`tempcountry'	==lower("Bulgaria")
replace cow =	359	if	`tempcountry'	==lower("Moldova")
replace cow =	359	if	`tempcountry'	==lower("MOLDOVA, REPUBLIC OF")
replace cow =	359	if	`tempcountry'	==lower("Republic of Moldova")
replace cow =	359	if	`tempcountry'	==lower("Republic of Moldova")
replace cow =	360	if	`tempcountry'	==lower("Romania")
replace cow =	360	if	`tempcountry'	==lower(" Romania")
replace cow =	360	if	`tempcountry'	==lower("Rumania")
replace cow = 	365	if	`tempcountry'	==lower("Russian Federation")
replace cow =	365	if	`tempcountry'	==lower("Russia")
replace cow =	365	if	`tempcountry'	==lower("Russian Federation")
replace cow =	365	if	`tempcountry'	==lower("Russia (Soviet Union)")
replace cow =	365	if	`tempcountry'	==lower("USSR")
replace cow =	365	if	`tempcountry'	==lower("U.S.S.R.")
replace cow =	365	if	`tempcountry'	==lower("Soviet Union")
replace cow =	365	if	`tempcountry'	==lower("Union of Soviet Socialist Republics")
replace cow =	365	if	`tempcountry'	==lower("Soviet Union / USSR")
replace cow =	366	if	`tempcountry'	==lower("Estonia")
replace cow =	367	if	`tempcountry'	==lower("Latvia")
replace cow =	368	if	`tempcountry'	==lower("Lithuania")
replace cow =	369	if	`tempcountry'	==lower("Ukraine")
replace cow =	370	if	`tempcountry'	==lower("Belarus")
replace cow =	371	if	`tempcountry'	==lower("Armenia")
replace cow =	371	if	`tempcountry'	==lower("Armenia, Republic of")
replace cow =	372	if	`tempcountry'	==lower("Georgia")
replace cow =	373	if	`tempcountry'	==lower("Azerbaijan")
replace cow =	373	if	`tempcountry'	==lower("Azerbaijan, Republic of")
replace cow =	375	if	`tempcountry'	==lower("Finland")
replace cow =	380	if	`tempcountry'	==lower("Sweden")
replace cow =	385	if	`tempcountry'	==lower("Norway")
replace cow =	390	if	`tempcountry'	==lower("Denmark")
replace cow =	395	if	`tempcountry'	==lower("Iceland")
replace cow =	402	if	`tempcountry'	==lower("Cape Verde")
replace cow =	402	if	`tempcountry'	==lower("C. Verde Is.")
replace cow = 	403	if	`tempcountry'	==lower("Democratic Republic of Sao Tome and Pri")
replace cow = 	403	if	`tempcountry'	==lower("Sao Tome & Principe")
replace cow = 	403	if	`tempcountry'	==lower("Democratic Republic of Sao Tome and Prin")
replace cow =	403	if	`tempcountry'	==lower("Sao Tome and Principe")
replace cow =	404	if	`tempcountry'	==lower("Guinea-Bissau")
replace cow =	404	if	`tempcountry'	==lower("GUINEA BISSAU")
replace cow =	404	if	`tempcountry'	==lower("Guinea Bissau")
replace cow =	411	if	`tempcountry'	==lower("Equatorial Guinea")
replace cow =	411	if	`tempcountry'	==lower("Eq. Guinea")
replace cow =	420	if	`tempcountry'	==lower("Gambia")
replace cow =	420	if	`tempcountry'	==lower("Gambia, The")
replace cow =	420	if	`tempcountry'	==lower("The Gambia")
replace cow =	432	if	`tempcountry'	==lower("Mali")
replace cow =	433	if	`tempcountry'	==lower("Senegal")
replace cow =	434	if	`tempcountry'	==lower("Benin")
replace cow =	434	if	`tempcountry'	==lower("Benin (Dahomey)")
replace cow =	435	if	`tempcountry'	==lower("Mauritania")
replace cow =	436	if	`tempcountry'	==lower("Niger")
replace cow = 	437	if	`tempcountry'	==lower("Republic of Cote d'Ivoire")
replace cow = 	437	if	`tempcountry'	==lower("CTE D'IVOIRE")
replace cow = 	437	if	`tempcountry'	==lower("Cote D’Ivoire")
replace cow = 	437	if	`tempcountry'	==lower("Cote D'Ivoire")
replace cow =	437	if	`tempcountry'	==lower("Ivory Coast")
replace cow =	437	if	`tempcountry'	==lower("Côte d'Ivoire")
replace cow =	437	if	`tempcountry'	==lower("Cote d'Ivoire")
replace cow =	437	if	`tempcountry'	==lower("Cote d`Ivoire")
replace cow =	437	if	`tempcountry'	==lower("CÃ´te d'Ivoire")
replace cow =	437	if	`tempcountry'	==lower("Cote d'Ivoire (Ivory Coast)")
replace cow =	438	if	`tempcountry'	==lower("Guinea")
replace cow =	439	if	`tempcountry'	==lower("Burkina Faso")
replace cow =	439	if	`tempcountry'	==lower("Burkina Faso (Upper Volta)")
replace cow =	450	if	`tempcountry'	==lower("Liberia")
replace cow = 	451	if	`tempcountry'	==lower("Republic of Sierra Leone")
replace cow =	451	if	`tempcountry'	==lower("Sierra Leone")
replace cow =	452	if	`tempcountry'	==lower("Ghana")
replace cow =	461	if	`tempcountry'	==lower("Togo")
replace cow =	471	if	`tempcountry'	==lower("Cameroon")
replace cow =	475	if	`tempcountry'	==lower("Nigeria")
replace cow = 	481	if	`tempcountry'	==lower("Gabonese Republic")
replace cow =	481	if	`tempcountry'	==lower("Gabon")
replace cow =	482	if	`tempcountry'	==lower("Central African Republic")
replace cow =	482	if	`tempcountry'	==lower("Cent. Af. Rep.")
replace cow =	482	if	`tempcountry'	==lower("Central African Rep.")
replace cow =	482	if	`tempcountry'	==lower("Central African Rep")
replace cow =	482	if	`tempcountry'	==lower("Cen African Rep")
replace cow =	483	if	`tempcountry'	==lower("Chad")
replace cow =	484	if	`tempcountry'	==lower("Congo")
replace cow =	484	if	`tempcountry'	==lower("Congo, Republic of the")
replace cow =	484	if	`tempcountry'	==lower("Congo, Republic of")
replace cow =	484	if	`tempcountry'	==lower("Congo, Rep.")
replace cow =	484	if	`tempcountry'	==lower("Congo, Rep")
replace cow =	484	if	`tempcountry'	==lower("Republic of the Congo")
replace cow =	484	if	`tempcountry'	==lower("Congo-Brazzaville")
replace cow =	484	if	`tempcountry'	==lower("Congo, Brazzaville")
replace cow =	484	if	`tempcountry'	==lower("Congo Brazzaville")
replace cow =	484	if	`tempcountry'	==lower("Congo-Brz")
replace cow =	484	if	`tempcountry'	==lower("Congo, Republic of (Brazzaville)")
replace cow =	484	if	`tempcountry'	==lower("Congo (Brazzaville, Republic of Congo)")
replace cow =	490	if	`tempcountry'	==lower("Democratic Republic of the Congo")
replace cow =	490	if	`tempcountry'	==lower("D.R. of the Congo")
replace cow =	490	if	`tempcountry'	==lower("Democratic Republic of Congo")
replace cow =	490	if	`tempcountry'	==lower("Congo, Democratic Republic of the")
replace cow =	490	if	`tempcountry'	==lower("Congo, Democratic Republic of")
replace cow =	490	if	`tempcountry'	==lower("Congo, Democratic Republic")
replace cow =	490	if	`tempcountry'	==lower("CONGO, THE DEMOCRATIC REPUBLIC")
replace cow =	490	if	`tempcountry'	==lower("CONGO,DEMOCRATIC REPUBLIC OF")
replace cow =	490	if	`tempcountry'	==lower("Congo, Dem. Rep. of")
replace cow =	490	if	`tempcountry'	==lower("Congo, Dem. Rep.")
replace cow =	490	if	`tempcountry'	==lower("Congo, Dem Rep")
replace cow =	490	if	`tempcountry'	==lower("Congo (DRC)")
replace cow =	490	if	`tempcountry'	==lower("Congo-Kinshasa")
replace cow =	490	if	`tempcountry'	==lower("Congo Kinshasa")
replace cow =	490	if	`tempcountry'	==lower("Congo, DR")
replace cow =	490	if	`tempcountry'	==lower("Zaire")
replace cow =	490	if	`tempcountry'	==lower(" Congo, Dem. Rep.")
replace cow =	490	if	`tempcountry'	==lower("Congo, Democratic Republic of (Zaire)")
replace cow =	490	if	`tempcountry'	==lower("Democratic Republic of Congo (Zaire)")
replace cow =	490	if	`tempcountry'	==lower("Democratic Republic of Congo (Zaire) ")
replace cow =	490	if	`tempcountry'	==lower("DEM. REP. CONGO")
replace cow =	490	if	`tempcountry'	==lower("DR Congo (Zaire)")
replace cow =	490	if	`tempcountry'	==lower("Congo, Democratic Republic of / Zaire")
replace cow =	490	if	`tempcountry'	==lower("Democratic Republic of the Congo (Zaire, Congo-Kinshasha)")
replace cow =	490	if	`tempcountry'	==lower("Congo/Zaire")
replace cow =	500	if	`tempcountry'	==lower("Uganda")
replace cow =	501	if	`tempcountry'	==lower("Kenya")
replace cow =	510	if	`tempcountry'	==lower("Tanzania")
replace cow =	510	if	`tempcountry'	==lower("TANZANIA, UNITED REPUBLIC OF")
replace cow =	510	if	`tempcountry'	==lower("United Republic of Tanzania: Mainland")
replace cow =	510	if	`tempcountry'	==lower("U.R. of Tanzania: Mainland")
replace cow =	510	if	`tempcountry'	==lower("United Republic of Tanzania")
replace cow =	511	if	`tempcountry'	==lower("Zanzibar")
replace cow =	516	if	`tempcountry'	==lower("Burundi")
replace cow =	517	if	`tempcountry'	==lower("Rwanda")
replace cow = 	520	if	`tempcountry'	==lower("Somali Democratic Republic")
replace cow =	520	if	`tempcountry'	==lower("Somalia")
replace cow =	522	if	`tempcountry'	==lower("Djibouti")
replace cow =	530	if	`tempcountry'	==lower("Ethiopia")
replace cow =	531	if	`tempcountry'	==lower("Eritrea")
replace cow =	540	if	`tempcountry'	==lower("Angola")
replace cow =	541	if	`tempcountry'	==lower("Mozambique")
replace cow =	551	if	`tempcountry'	==lower("Zambia")
replace cow =	552	if	`tempcountry'	==lower("Zimbabwe")
replace cow =	552	if	`tempcountry'	==lower("Zimbabwe (Rhodesia)")
replace cow =	553	if	`tempcountry'	==lower("Malawi")
replace cow = 	560	if	`tempcountry'	==lower("Republic of South Africa")
replace cow =	560	if	`tempcountry'	==lower("South Africa")
replace cow =	560	if	`tempcountry'	==lower("S. Africa")
replace cow =	565	if	`tempcountry'	==lower("Namibia")
replace cow =	570	if	`tempcountry'	==lower("Lesotho")
replace cow =	571	if	`tempcountry'	==lower("Botswana")
replace cow =	572	if	`tempcountry'	==lower("Swaziland")
replace cow =	572	if	`tempcountry'	==lower("Eswatini")
replace cow =	580	if	`tempcountry'	==lower("Madagascar")
replace cow =	580	if	`tempcountry'	==lower("Madagascar (Malagasy)")
replace cow =	581	if	`tempcountry'	==lower("Comoros")
replace cow =	581	if	`tempcountry'	==lower("Comoro Is.")
replace cow =	590	if	`tempcountry'	==lower("Mauritius")
replace cow =	591	if	`tempcountry'	==lower("Seychelles")
replace cow =	600	if	`tempcountry'	==lower("Morocco")
replace cow =	615	if	`tempcountry'	==lower("Algeria")
replace cow =	616	if	`tempcountry'	==lower("Tunisia")
replace cow = 	620	if	`tempcountry'	==lower("Socialist People's Libyan Arab Jamahiri")
replace cow = 	620	if	`tempcountry'	==lower("Socialist People's Libyan Arab Jamahiriy")
replace cow =	620	if	`tempcountry'	==lower("Libya")
replace cow =	620	if	`tempcountry'	==lower("Libyan Arab Jamahiriya")
replace cow =	625	if	`tempcountry'	==lower("Sudan")
replace cow =	625	if	`tempcountry'	==lower("Sudan-North")
replace cow = 	626	if	`tempcountry'	==lower(" South Sudan")
replace cow =	626	if	`tempcountry'	==lower("South Sudan")
replace cow = 	630	if	`tempcountry'	==lower(" Iran, Islamic Rep.")
replace cow = 	630	if	`tempcountry'	==lower("IRAN, ISLAMIC REPUBLIC OF")
replace cow = 	630	if	`tempcountry'	==lower("Iran (Islamic Republic of)")
replace cow = 	630	if	`tempcountry'	==lower("Iran, Islamic Rep.")
replace cow =	630	if	`tempcountry'	==lower("Iran")
replace cow =	630	if	`tempcountry'	==lower("Iran (Islamic Republic of)")
replace cow =	630	if	`tempcountry'	==lower("Iran, Islamic Republic")
replace cow =	630	if	`tempcountry'	==lower("Iran, Ismalic Rep.")
replace cow =	630	if	`tempcountry'	==lower("Iran, Ismalic Rep")
replace cow =	640	if	`tempcountry'	==lower("Turkey")
replace cow =	645	if	`tempcountry'	==lower("Iraq")
replace cow =	651	if	`tempcountry'	==lower("Egypt")
replace cow =	651	if	`tempcountry'	==lower("Egypt, Arab Republic")
replace cow =	651	if	`tempcountry'	==lower("Egypt, Arab Rep.")
replace cow =	652	if	`tempcountry'	==lower("Syria")
replace cow =	652	if	`tempcountry'	==lower("Syrian Arab Republic")
replace cow = 	660	if	`tempcountry'	==lower("Lebanese Republic")
replace cow =	660	if	`tempcountry'	==lower("Lebanon")
replace cow =	663	if	`tempcountry'	==lower("Jordan")
replace cow =	666	if	`tempcountry'	==lower("Israel")
replace cow =	670	if	`tempcountry'	==lower("Saudi Arabia")
replace cow =	678	if	`tempcountry'	==lower("Yemen Arab Republic")
replace cow =	678	if	`tempcountry'	==lower("Yemen (AR)")
replace cow =	678	if	`tempcountry'	==lower("YEMEN ARAB REP.")
replace cow =	678	if	`tempcountry'	==lower("Yemen Arab Republic/North Yemen (pre-1990)")
replace cow =	678	if	`tempcountry'	==lower("Yemen (North Yemen)")
replace cow =	678	if	`tempcountry'	==lower("Yemen North")
replace cow =	678	if	`tempcountry'	==lower("North Yemen")
replace cow =	678	if	`tempcountry'	==lower("North Yemen ")
replace cow =	679	if	`tempcountry'	==lower("Yemen")
replace cow =	679	if	`tempcountry'	==lower("Yemen ")
replace cow =	679	if	`tempcountry'	==lower("YEMEN,REPUBLIC OF")
replace cow =	679	if	`tempcountry'	==lower("Yemen, Rep.")
replace cow =	679	if	`tempcountry'	==lower("Yemen, Republic of")
replace cow =	679	if	`tempcountry'	==lower("Yemen (post-unification)")
replace cow =	680	if	`tempcountry'	==lower("Yemen People's Republic")
replace cow =	680	if	`tempcountry'	==lower("People's Republic of Yemen")
replace cow =	680	if	`tempcountry'	==lower("Yemen, People's Democratic Republic of (South)")
replace cow =	680	if	`tempcountry'	==lower("Yemen PDR (South)")
replace cow =	680	if	`tempcountry'	==lower("South Yemen")
replace cow =	680	if	`tempcountry'	==lower("Yemen South")
replace cow =	680	if	`tempcountry'	==lower("Yemen, South/People's Democratic Republic (pre-1990)")
replace cow =	680	if	`tempcountry'	==lower("YEMEN PEOP. REP.")
replace cow =	680	if	`tempcountry'	==lower("Yemen (PDR)")
replace cow =	690	if	`tempcountry'	==lower("Kuwait")
replace cow =	692	if	`tempcountry'	==lower("Bahrain")
replace cow =	692	if	`tempcountry'	==lower("Bahrain, Kingdom of")
replace cow =	694	if	`tempcountry'	==lower("Qatar")
replace cow =	696	if	`tempcountry'	==lower("United Arab Emirates")
replace cow =	696	if	`tempcountry'	==lower("U. ARAB EMIRATES")
replace cow =	696	if	`tempcountry'	==lower("UAE")
replace cow =	696	if	`tempcountry'	==lower("UAB")
replace cow =	698	if	`tempcountry'	==lower("Oman")
replace cow =	700	if	`tempcountry'	==lower("Afghanistan")
replace cow =	700	if	`tempcountry'	==lower("Afghanistan, Islamic Republic of")
replace cow =	700	if	`tempcountry'	==lower("AFGHANISTAN,ISLAMIC REPUBLIC OF")
replace cow =	701	if	`tempcountry'	==lower("Turkmenistan")
replace cow =	702	if	`tempcountry'	==lower("Tajikistan")
replace cow =	703	if	`tempcountry'	==lower("Kyrgyzstan")
replace cow =	703	if	`tempcountry'	==lower("Kyrgyz Republic")
replace cow =	704	if	`tempcountry'	==lower("Uzbekistan")
replace cow =	705	if	`tempcountry'	==lower("Kazakhstan")
replace cow =	710	if	`tempcountry'	==lower("China")
replace cow =	710	if	`tempcountry'	==lower("PRC")
replace cow =	710	if	`tempcountry'	==lower("China, P.R.: Mainland")
replace cow =	710	if	`tempcountry'	==lower("China, People's Republic")
replace cow =	710	if	`tempcountry'	==lower("China, People's Republic of")
replace cow =	710	if	`tempcountry'	==lower("China, People's Rep.")
replace cow =	710	if	`tempcountry'	==lower("China, People's Rep")
replace cow =	710	if	`tempcountry'	==lower("China, PRC")
replace cow =	710	if	`tempcountry'	==lower("China,P.R.: Mainland")
replace cow =	712	if	`tempcountry'	==lower("Mongolia")
replace cow =	713	if	`tempcountry'	==lower("Taiwan")
replace cow =	713	if	`tempcountry'	==lower("TAIWAN, PROVINCE OF CHINA")
replace cow =	713	if	`tempcountry'	==lower("Taiwan, China")
replace cow =	713	if	`tempcountry'	==lower("Taiwan, Republic of China on")
*replace cow =	730	if	`tempcountry'	==lower("Korea")
*replace cow =	730	if	`tempcountry'	==lower("People's Republic of Korea")
replace cow =	731	if	`tempcountry'	==lower("North Korea")
replace cow =	731	if	`tempcountry'	==lower("Korea, Democratic Republic")
replace cow =	731	if	`tempcountry'	==lower("Korea, Democratic Republic of")
replace cow =	731	if	`tempcountry'	==lower("KOREA, DEMOCRATIC PEOPLE'S REP")
replace cow =	731	if	`tempcountry'	==lower("D.P.R. of Korea")
replace cow =	731	if	`tempcountry'	==lower("Korea, Dem. Rep.")
replace cow =	731	if	`tempcountry'	==lower("Korea, Dem. People’s Rep.")
replace cow =	731	if	`tempcountry'	==lower("Korea, Dem. People's Rep.")
replace cow =	731	if	`tempcountry'	==lower("PRK")
replace cow =	731	if	`tempcountry'	==lower("KOREA, N.")
replace cow =	731	if	`tempcountry'	==lower("Korea, Democratic People's Republic")
replace cow =	731	if	`tempcountry'	==lower("Korea, Democratic People's Republic of")
replace cow =	731	if	`tempcountry'	==lower("Korea, DPR")
replace cow =	731	if	`tempcountry'	==lower("Korea, North")
replace cow =	731	if	`tempcountry'	==lower("Korea North")
replace cow =	732	if	`tempcountry'	==lower("South Korea")
replace cow =	732	if	`tempcountry'	==lower("Korea South")
replace cow =	732	if	`tempcountry'	==lower("Korea")
replace cow =	732	if	`tempcountry'	==lower("Korea, Rep")
replace cow =	732	if	`tempcountry'	==lower("Korea, Republic of")
replace cow =	732	if	`tempcountry'	==lower("Republic of Korea")
replace cow =	732	if	`tempcountry'	==lower("ROK")
replace cow =	732	if	`tempcountry'	==lower("Korea, Rep.")
replace cow =	732	if	`tempcountry'	==lower("KOREA, S.")
replace cow =	732	if	`tempcountry'	==lower("Korea, South")
replace cow =	740	if	`tempcountry'	==lower("Japan")
replace cow =	750	if	`tempcountry'	==lower("India")
replace cow =	760	if	`tempcountry'	==lower("Bhutan")
replace cow =	770	if	`tempcountry'	==lower("Pakistan")
replace cow =	771	if	`tempcountry'	==lower("Bangladesh")
replace cow =	775	if	`tempcountry'	==lower("Myanmar")
replace cow =	775	if	`tempcountry'	==lower("Myanmar (Burma)")
replace cow =	775	if	`tempcountry'	==lower("Burma (Myanmar)")
replace cow =	775	if	`tempcountry'	==lower("Burma")
replace cow =	775	if	`tempcountry'	==lower("Burma/Myanmar")
replace cow = 	780	if	`tempcountry'	==lower("Democratic Socialist Republic of Sri La")
replace cow = 	780	if	`tempcountry'	==lower("Democratic Socialist Republic of Sri Lan")
replace cow =	780	if	`tempcountry'	==lower("Sri Lanka")
replace cow =	780	if	`tempcountry'	==lower("Sri Lanka (Ceylon)")
replace cow =	781	if	`tempcountry'	==lower("Maldives")
replace cow =	790	if	`tempcountry'	==lower("Nepal")
replace cow =	800	if	`tempcountry'	==lower("Thailand")
replace cow =	811	if	`tempcountry'	==lower("Cambodia")
replace cow =	811	if	`tempcountry'	==lower("Cambodia (Kampuchea)")
replace cow = 	812	if	`tempcountry'	==lower("Lao People's Democratic Republic")
replace cow = 	812	if	`tempcountry'	==lower("Lao People's DR")
replace cow = 	812	if	`tempcountry'	==lower("LAO PEOPLE'S DEM. REP.")
replace cow = 	812	if	`tempcountry'	==lower("LAO PEOPLE'S DEMOCRATIC REPUBL")
replace cow = 	812	if	`tempcountry'	==lower(" Lao PDR")
replace cow =	812	if	`tempcountry'	==lower("Laos")
replace cow =	812	if	`tempcountry'	==lower("Lao PDR")
replace cow =	812	if	`tempcountry'	==lower("Lao People's Dem.Rep")
replace cow = 	816	if	`tempcountry'	==lower("Viet Nam")
replace cow =	816	if	`tempcountry'	==lower("Vietnam")
replace cow =	816	if	`tempcountry'	==lower("Viet Nam")
replace cow =	816	if	`tempcountry'	==lower("Vietnam, Socialist Republic of")
replace cow =	816	if	`tempcountry'	==lower("Vietnam, North")
replace cow =	816	if	`tempcountry'	==lower("Vietnam North")
replace cow =	816	if	`tempcountry'	==lower("Democratic Republic of Vietnam")
replace cow =	817	if	`tempcountry'	==lower("Republic of Vietnam")
replace cow =	817	if	`tempcountry'	==lower("Vietnam, Republic of")
replace cow =	817	if	`tempcountry'	==lower("Vietnam, Republic of (South Vietnam)")
replace cow =	817	if	`tempcountry'	==lower("Vietnam, South")
replace cow =	817	if	`tempcountry'	==lower("Vietnam South")
replace cow =	817	if	`tempcountry'	==lower("South Vietnam")
replace cow =	820	if	`tempcountry'	==lower("Malaysia")
replace cow =	830	if	`tempcountry'	==lower("Singapore")
replace cow =	835	if	`tempcountry'	==lower("Brunei")
replace cow =	835	if	`tempcountry'	==lower("Brunei Darussalam")
replace cow =	835	if	`tempcountry'	==lower("Brunei DAS")
replace cow =	840	if	`tempcountry'	==lower("Philippines")
replace cow =	850	if	`tempcountry'	==lower("Indonesia")
replace cow = 	860	if	`tempcountry'	==lower("Democratic Republic of Timor-Leste")
replace cow = 	860	if	`tempcountry'	==lower("Timor-Leste")
replace cow =	860	if	`tempcountry'	==lower("East Timor")
replace cow =	860	if	`tempcountry'	==lower(" Timor-Leste")
replace cow =	860	if	`tempcountry'	==lower("East Timor (Timor-Leste)")
replace cow =	900	if	`tempcountry'	==lower("Australia")
replace cow = 	910	if	`tempcountry'	==lower("The Independent State of Papua New Guin")
replace cow = 	910	if	`tempcountry'	==lower("The Independent State of Papua New Guine")
replace cow =	910	if	`tempcountry'	==lower("Papua New Guinea")
replace cow =	910	if	`tempcountry'	==lower("P. N. Guinea")
replace cow =	910	if	`tempcountry'	==lower("PAPUA N.G.")
replace cow =	920	if	`tempcountry'	==lower("New Zealand")
replace cow =	935	if	`tempcountry'	==lower("Vanuatu")
replace cow =	940	if	`tempcountry'	==lower("Solomon Islands")
replace cow =	940	if	`tempcountry'	==lower("Solomon Is.")
replace cow =	946	if	`tempcountry'	==lower("Kiribati")
replace cow =	947	if	`tempcountry'	==lower("Tuvalu")
replace cow =	950	if	`tempcountry'	==lower("Fiji")
replace cow =	955	if	`tempcountry'	==lower("Tonga")
replace cow =	970	if	`tempcountry'	==lower("Nauru")
replace cow = 	983	if	`tempcountry'	==lower("Republic of the Marshall Islands")
replace cow =	983	if	`tempcountry'	==lower("Marshall Islands")
replace cow =	986	if	`tempcountry'	==lower("Palau")
replace cow = 	987	if	`tempcountry'	==lower("Micronesia, Federated States of")
replace cow = 	987	if	`tempcountry'	==lower("MICRONESIA, FEDERATED STATES O")
replace cow =	987	if	`tempcountry'	==lower("Federated States of Micronesia")
replace cow =	987	if	`tempcountry'	==lower("Micronesia, Fed. Sts.")
replace cow =	987	if	`tempcountry'	==lower("Micronesia")
replace cow =	987	if	`tempcountry'	==lower("Micronesia, Federated States of")
replace cow =	990	if	`tempcountry'	==lower("Samoa")
replace cow =	990	if	`tempcountry'	==lower("Samoa (Western Samoa)")
}

qui drop `tempcountry'

display "Country names coded as missing:"
tab `1' if cow ==. // uncoded results


end
