{smcl}
{* *! version 2.1  11may2021}{...}
{cmd:help statetocow}
{hline}


{title:Title}

{p 4 4 2}{hi:statetocow} {hline 2} Country codes by the Correlates of War (COW)

{title:Syntax}

{p 4 16 2}
{cmd:statetocow} {it:countryname} 


{title:Description}

{pstd}
This program creates modified COW codes according to country names.  A variable 
{cmd:cow} is the result of the command.  If there is an existing variable named 
{cmd:cow}, then the existing variable is dropped.

{pstd}
The program  creates a tabulation of those states that do not get coded by the 
program.  Some hand coding may be necessary, depending on your data.  If you 
find a dataset that has a significant number of countries which are not coded 
by this program, please send an email with the data and information on the 
source of the data to: austinmitchellphd@gmail.com. This program may be updated 
in the future.

{pstd}
USSR and Russia are coded the same, following COW.  Unified Vietnam is coded the 
same as North Vietnam.  Sebia (individually)
or Serbia and Montenegro are coded the same as Yugoslavia 
(before dissolution).  Montenegro (individually) is coded 
seperately. Micronesia is referred to as the sovereign, and an 
observation may be incorrectly coded by the region, depending 
on the data.  There are seperate codings for North, South, and unified Yemen 
as well as East, West, and unified Germany.  Unified Korea is not coded because
of the common practice of data referring to South Korea as Korea.

{pstd}
This coding program is updated periodically at  
{browse "https://austin-mitchell.com/"}.



{title:Authors}

{smcl}
Austin Mitchell, PhD {smcl}
{browse "https://austin-mitchell.com/"} 



